Bug 57175 - post-install cannot modify /etc/X11/XF86Config-4
Summary: post-install cannot modify /etc/X11/XF86Config-4
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-06 14:43 UTC by Dimitri Papadopoulos
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-12 20:21:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2002:016 normal SHIPPED_LIVE Various anaconda installer fixes 2002-01-17 05:00:00 UTC

Description Dimitri Papadopoulos 2001-12-06 14:43:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; SunOS 5.8 sun4u)

Description of problem:
We need to install NVIDIA drivers in post-install. We must remove modules
"GLcore" and "dri" and change the driver to "nvidia".

To do that, I don't know of another way than directly modifying
/etc/X11/XF86Config-4.

Unfortunately this file does not yet exist when running post-install.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a kickstart post-install script that needs /etc/X11/XF86Config-4
2. Run a kickstart installation using this script


Actual Results:  The post-install script does not see
/etc/X11/XF86Config-4.
Actually it does not exist yet - xconfig is run later.


Expected Results:  The post-install should be able to modify the X11
configuration.


Additional info:

Comment 1 Jeremy Katz 2001-12-12 20:21:14 UTC
As a workaround, you should be able to do skipx in the ks.cfg and then do what
you want as far as X config in the %post

Comment 2 Jeremy Katz 2002-01-16 21:56:24 UTC
fixed in cvs

Comment 3 Need Real Name 2002-10-29 17:02:57 UTC
when i try to intall redhat into my pc. actually after I do everything 
Partitions. and then when it begins formatting the Partitions I get this error.
---------starts from here-------------
Traceback(Inner Most last):
   File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gu.py",line 20 
in run

       rc= self.toda.doinstall()
   File "/var/tmp/anaconda-7.0.1/use/lib/anaconda/todo.py",line 1472, in 
doinstall
       self.fstab.mount FileSystems (self.instpath)

   File "/var/tmp/anaconda/fstab.py", Line 713, in mount file systems
       raise system error (errno,msg)
       system error:(22, invalid argument)
---------end-------------




Note You need to log in before you can comment on or make changes to this bug.